Package org.picocontainer.behaviors

# Class AdaptingBehavior

java.lang.Object
org.picocontainer.behaviors.AdaptingBehavior

All Implemented Interfaces:
  `Serializable`, `BehaviorFactory`, `ComponentFactory`

public class AdaptingBehavior extends Object implements BehaviorFactory, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AdaptingBehavior()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(PicoVisitor visitor)`
Accepts a visitor for this ComponentFactory.
`ComponentAdapter`
`addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter adapter)`
`ComponentAdapter`
`createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class componentImplementation, Parameter... parameters)`
Create a new component adapter based on the specified arguments.
`protected AdaptingInjection`
`makeInjectionFactory()`
`protected void`
`processAutomatic(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
`processCaching(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)`
`protected void`
`processGuarding(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)`
`protected void`
`processImplementationHiding(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
`processLocking(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
`processPropertyApplying(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
`processSynchronizing(Properties componentProperties, List<BehaviorFactory> list)`
`void`
`verify(PicoContainer container)`
Verification for the ComponentFactory - subject to implementation.
`ComponentFactory`
`wrap(ComponentFactory delegate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdaptingBehavior

public AdaptingBehavior()

## Method Details

### createComponentAdapter

public ComponentAdapter createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class componentImplementation, Parameter... parameters) throws PicoCompositionException
Description copied from interface: `ComponentFactory`
Create a new component adapter based on the specified arguments.

Specified by:
  `createComponentAdapter` in interface `ComponentFactory`
Parameters:
  `componentMonitor` - the component monitor
  `lifecycleStrategy` - te lifecycle strategy
  `componentProperties` - the component properties
  `componentKey` - the key to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentKey()` on the created adapter.
  `componentImplementation` - the implementation class to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentImplementation()` on the created adapter. Should not be null.
  `parameters` - additional parameters to use by the component adapter in constructing component instances. These may be used, for example, to make decisions about the arguments passed into the component constructor. These should be considered hints; they may be ignored by some implementations. May be null, and may be of zero length.
Returns:
  a new component adapter based on the specified arguments. Should not return null.
Throws:
  `PicoCompositionException` - if the creation of the component adapter results in a `PicoCompositionException`.

### addComponentAdapter

public ComponentAdapter addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter adapter)

Specified by:
  `addComponentAdapter` in interface `BehaviorFactory`

### verify

public void verify(PicoContainer container)
Description copied from interface: `ComponentFactory`
Verification for the ComponentFactory - subject to implementation.

Specified by:
  `verify` in interface `ComponentFactory`
Parameters:
  `container` - the `PicoContainer`, that is used for verification.

### accept

public void accept(PicoVisitor visitor)
Description copied from interface: `ComponentFactory`
Accepts a visitor for this ComponentFactory. The method is normally called by visiting a `PicoContainer`, that cascades the visitor also down to all its ComponentFactory instances.

Specified by:
  `accept` in interface `ComponentFactory`
Parameters:
  `visitor` - the visitor.

### makeInjectionFactory

protected AdaptingInjection makeInjectionFactory()

### processSynchronizing

protected void processSynchronizing(Properties componentProperties, List<BehaviorFactory> list)

### processLocking

protected void processLocking(Properties componentProperties, List<BehaviorFactory> list)

### processCaching

protected void processCaching(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)

### processGuarding

protected void processGuarding(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)

### processImplementationHiding

protected void processImplementationHiding(Properties componentProperties, List<BehaviorFactory> list)

### processPropertyApplying

protected void processPropertyApplying(Properties componentProperties, List<BehaviorFactory> list)

### processAutomatic

protected void processAutomatic(Properties componentProperties, List<BehaviorFactory> list)

### wrap

public ComponentFactory wrap(ComponentFactory delegate)

Specified by:
  `wrap` in interface `BehaviorFactory`